/*!
 * @file Camp.h
 * @brief ゲーム中の陣営と付随要素のプロトタイプ
 * @date 2013/12/11
 * @author Deskull
 * 2013 Sikabane Works.
 */

#include "stdafx.h"
#include "GameElement.h"

#pragma once

/*! 
 * @class Camp
 * @brief 陣営のクラス
 */
class Camp : public GameElement
{

private:

public:

	/*! 
	 * @brief Campクラスコンストラクタ(GameElementメンバ対応)
	 * @param id GameElementのID
	 * @param TAG GameElementのタグ
	 * @param gameWorld 所属元gameWorld参照ポインタ
	 */
	Camp::Camp(ID id, TAG tag, GameWorld *gameWorld);

	Camp::Camp(void);

	Camp::~Camp(void);

};